Bug 496508 - SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.
SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 15:04 EDT by Matěj Cepl
Modified: 2018-04-11 03:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 08:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-04-19 15:04:57 EDT
Souhrn:

SELinux is preventing ck-get-x11-serv (consolekit_t) "search" xdm_var_run_t.

Podrobný popis:

SELinux denied access requested by ck-get-x11-serv. It is not expected that this
access is required by ck-get-x11-serv and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Další informace:

Kontext zdroje                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Kontext cíle                 system_u:object_r:xdm_var_run_t:s0
Objekty cíle                 gdm [ dir ]
Zdroj                         ck-get-x11-serv
Cesta zdroje                  /usr/libexec/ck-get-x11-server-pid
Port                          <Neznámé>
Počítač                    viklef.ceplovi.cz
RPM balíčky zdroje          ConsoleKit-x11-0.3.0-7.fc11
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.12-4.fc11
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            viklef.ceplovi.cz
Platforma                     Linux viklef.ceplovi.cz 2.6.29.1-70.fc11.x86_64 #1
                              SMP Mon Apr 13 14:16:25 EDT 2009 x86_64 x86_64
Počet upozornění           3
Poprvé viděno               Čt 16. duben 2009, 21:32:49 CEST
Naposledy viděno             Ne 19. duben 2009, 10:20:10 CEST
Místní ID                   922b3bc4-15f5-4855-a843-490d172f1d43
Čísla řádků              

Původní zprávy auditu      

node=viklef.ceplovi.cz type=AVC msg=audit(1240129210.499:18): avc:  denied  { search } for  pid=3177 comm="ck-get-x11-serv" name="gdm" dev=dm-5 ino=552 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=dir

node=viklef.ceplovi.cz type=SYSCALL msg=audit(1240129210.499:18): arch=c000003e syscall=21 success=no exit=-13 a0=7fffa7adefab a1=4 a2=0 a3=7fffa7ade803 items=0 ppid=3176 pid=3177 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ck-get-x11-serv" exe="/usr/libexec/ck-get-x11-server-pid" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-04-20 08:27:00 EDT
Fixed in selinux-policy-3.6.12-8.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.